package com.wyattjmiller.conversionapp

class Conversion(euroResponse: Double = 0.0, kiloResponse: Double = 0.0) {
    // I realize that this isn't the best decision that I have made
    // Euro and Kilometers should have it's own class
    private var euro: Double = 0.0
    private var kilo: Double = 0.0
    private var dollar: Double = 0.0
    private var mile: Double = 0.0

    val euroToDollars: Double
        get() {
            return euro.times(TO_DOLLARS)
        }

    val kiloToMiles: Double
        get() {
            return kilo.times(TO_MILES)
        }

    val milesToKilos: Double
        get() {
            return mile.times(TO_KILO)
        }

    val dollarsToEuros: Double
        get() {
            return dollar.times(TO_EURO)
        }

    companion object {
        const val TO_DOLLARS: Double = 1.184632
        const val TO_MILES: Double = 0.62137
        const val TO_EURO: Double = 0.846956
        const val TO_KILO: Double = 1.609344
    }

    init {
        this.euro = euroResponse
        this.kilo = kiloResponse
    }
}